# fann_set_train_stop_function

(PECL fann >= 1.0.0)

fann_set_train_stop_function — Sets the stop function used during training

### Description

fann_set_train_stop_function ( resource `$ann` , int `$stop_function` ) : bool

Sets the stop function used during training.

The stop functions are described further in stop functions constants.

### Parameters

`ann`

  Neural network resource.

`stop_function`

  The stop function constant.

### Return Values

Returns `TRUE` on success, or `FALSE` otherwise.

### See Also

- fann_get_train_stop_function() - Returns the stop function used during training